General discussion on installation and configuration of SOGo

Text archives Help


[SOGo] Error starting sogo service. Debian 7 dotdeb. memcached.so.11


Chronological Thread 
  • From: < >
  • To:
  • Subject: [SOGo] Error starting sogo service. Debian 7 dotdeb. memcached.so.11
  • Date: Sat, 27 Dec 2014 20:40:47 -0500 (EST)

I'm trying to get sogo working on Debian 7.

Installed from inverse repo using apt-get as documented on the inverse
website.

This debian 7 wheezy system is running newer versions of PHP (5.4) and
memcached (libmemcached.so.11) which were automatically installed from dotdeb
repo in order to get newer better versions of these.

Sogo service fails to start, gives this error :

"Starting SOGo: sogo/usr/sbin/sogod: error while loading shared libraries:
libmemcached.so.10: cannot open shared object file: No such file or directory
already running."

Obviously this is because we have a newer version of libmemcached.so.11 on the
server:
~# locate libmemcached.so
/usr/lib/libmemcached.so.11
/usr/lib/libmemcached.so.11.0.0
/usr/lib/libmemcached.so.5
/usr/lib/libmemcached.so.5.0.0
/usr/lib/x86_64-linux-gnu/libmemcached.so
/usr/lib/x86_64-linux-gnu/libmemcached.so.11
/usr/lib/x86_64-linux-gnu/libmemcached.so.11.0.0

Why is sogo statically linked to particular versions of memcached?
Any suggestion?
Help to fix this?


  • [SOGo] Error starting sogo service. Debian 7 dotdeb. memcached.so.11, chris, 12/27/2014

Archive powered by MHonArc 2.6.18.

Top of page